character.c File Reference

## Macros

#define | MCHAR_MAX
| Maximum character code. More...

## Functions

MSymbol | mchar_define_property (const char *name, MSymbol type)
| Define a character property. More...
void * | mchar_get_prop (int c, MSymbol key)
| Get the value of a character property. More...
int | mchar_put_prop (int c, MSymbol key, void *val)
| Set the value of a character property. More...
MCharTable * | mchar_get_prop_table (MSymbol key, MSymbol *type)
| Get the char-table for a character property. More...

## Variables

Variables: Keys of character properties
These symbols are used as keys of character properties.
MSymbol | Mscript
| Key for script. More...
MSymbol | Mname
| Key for character name. More...
MSymbol | Mcategory
| Key for general category. More...
MSymbol | Mcombining_class
| Key for canonical combining class. More...
MSymbol | Mbidi_category
| Key for bidi category. More...
MSymbol | Msimple_case_folding
| Key for corresponding single lowercase character. More...
MSymbol | Mcomplicated_case_folding
| Key for corresponding multiple lowercase characters. More...
MSymbol | Mcased
| Key for values used in case operation. More...
MSymbol | Msoft_dotted
| Key for values used in case operation. More...
MSymbol | Mcase_mapping
| Key for values used in case operation. More...
MSymbol | Mblock
| Key for script block name. More...